Skip to main content
GET
Retrieve a video

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, e.g. cpb_live_… or cpb_test_….

Path Parameters

video_id
string
required
Example:

"VID-784210"

Response

The video.

id
string
Example:

"VID-784210"

mission_id
string
Example:

"MSN-1042"

dataset_id
string | null
Example:

"DS-301"

task_id
string
Example:

"T-2"

task
string
Example:

"Fold t-shirt"

status
enum<string>

processing means the video is still in quality review.

Available options:
processing,
accepted,
rejected
quality
integer | null

QA score 0–100. null while processing.

Example:

91

rejection_reason
string | null
Examples:

"Hands leave frame for more than 2s"

"Insufficient lighting"

"Motion blur above threshold"

"Task not completed"

"Face visible without consent"

"Camera not egocentric"

"Duplicate submission"

duration
number

Seconds.

Example:

34

resolution
string
Example:

"1920×1080"

fps
integer
Example:

30

size_mb
number
Example:

57.8

device
string
Example:

"iPhone 16 Pro"

collector_id
string

Pseudonymous collector ID.

Example:

"C-58214"

region
enum<string>

ISO 3166-1 alpha-2 country code (UK for the United Kingdom).

Available options:
US,
CA,
MX,
BR,
UK,
DE,
ES,
PT,
PL,
IN
labels
string[]
Example:
checks
object

Individual quality-review checks.

download_url
string<uri> | null

Signed MP4 URL, valid for 1 hour. Only on accepted videos.

annotations_url
string<uri> | null

Signed JSON annotations URL, valid for 1 hour.

created_at
string<date-time>